# coding: UTF-8
from rcb4 import RCB4_com
import cv2
import numpy as np
import time

def main():
    global rcb4, com_num

    rcb4 = RCB4_com()

    ret = rcb4.com_open(3)
    if ret == 0:
        print(u"シリアルポートをオープンしました")
    else:
        print(u"シリアルポートがオープンできません")
        exit()

    while True:
        img = np.empty((400,600,3),np.uint8)
        img.fill(255)

        cv2.line(img,(50,300),(550,300),(0,0,0),1)
        cv2.line(img,(300,50),(300,350),(0,0,0),1)

        cv2.ellipse(img,(300,300),(200,200),0,180,360,(0,0,0),1)
        cv2.ellipse(img,(300,300),(100,100),0,180,360,(0,0,0),1)

        rcb4.search_psd(-50,50)

        for i in range(len(rcb4.ang_list)):
            x = int(rcb4.dist_list[i]*np.sin(rcb4.ang_list[i]*np.pi/180)) + 300
            y = 300 - int(rcb4.dist_list[i]*np.cos(rcb4.ang_list[i]*np.pi/180))
            cv2.line(img,(x,y),(300,300),(0,0,255),2)

        print(rcb4.dist_list) #計測結果を出力

        cv2.imshow("PSD test",img)

        time.sleep(2) #秒数だけ待つ

        #何か押されたら終了
        if cv2.waitKey(10) > 0:
            cv2.destroyAllWindows()

            ret = rcb4.com_close()
            if ret == 0:
                print(u"シリアルポートを切断しました")
            else:
                print(u"シリアルポートを切断できません")

            break

#メイン関数実行
main()
